Package org.opensaml.soap.wssecurity

# Interface WSSecurityObjectBuilder<WSSecurityObjectType extends WSSecurityObject>

Type Parameters:
  `WSSecurityObjectType` - the type of WS-Security object

All Superinterfaces:
  `XMLObjectBuilder<WSSecurityObjectType>`

All Known Implementing Classes:
  `AbstractWSSecurityObjectBuilder`, `BinarySecurityTokenBuilder`, `CreatedBuilder`, `EmbeddedBuilder`, `EncryptedHeaderBuilder`, `ExpiresBuilder`, `IterationBuilder`, `KeyIdentifierBuilder`, `NonceBuilder`, `PasswordBuilder`, `ReferenceBuilder`, `SaltBuilder`, `SecurityBuilder`, `SecurityTokenReferenceBuilder`, `SignatureConfirmationBuilder`, `TimestampBuilder`, `TransformationParametersBuilder`, `UsernameBuilder`, `UsernameTokenBuilder`

public interface WSSecurityObjectBuilder<WSSecurityObjectType extends WSSecurityObject> extends XMLObjectBuilder<WSSecurityObjectType>
WSSecurityObjectBuilder.

## Method Summary

Modifier and Type
Method
Description
`WSSecurityObjectType`
`buildObject()`
Builds a WS-Security object of the given type.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull WSSecurityObjectType buildObject()
Builds a WS-Security object of the given type.

Returns:
  the built object